<?php
include('include/entete.php');
include('include/entete_cap.php');
include('config/config.inc.php');
include('config/lib.inc.php');

$maCleDeCryptage = getCleDeCryptage();	

$query="select * from eta,capitaines where id_eta=num_eta and id_cap=:id_cap";
$db = connect_base();
$queryRequest = $db->prepare( $query );
$queryRequest->bindParam( ':id_cap', $_SESSION['cap_num'], PDO::PARAM_INT );
$queryRequest->execute();
$data=$queryRequest->fetchAll();
$capitaine=decrypter($maCleDeCryptage,$data[0]['prenom_cap'])." ".decrypter($maCleDeCryptage,$data[0]['nom_cap']);

// Récupération des sollicitations pour vérifier si au moins 1 RDV pour afficher les ressources pédagogique
$q="SELECT statut FROM agenda WHERE numCap=:id_cap";
$db2 = connect_base();
$qR = $db2->prepare($q);
$qR->bindParam( ':id_cap', $_SESSION['cap_num'], PDO::PARAM_INT );
$qR->execute();
$creneauxCount = $qR->rowCount();
$creneauxData = $qR->fetchAll();
$rdv = 0;
if ($creneauxCount>0 ) {
    foreach($creneauxData as $key => $value){
        if($value['statut'] == "reserve") $rdv++;
    }
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>FAFIH - DECIDAY</title>
<script type="text/javascript" src="js/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>
<script type="text/javascript" src="js/fonctions.js"></script>
<link href="css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="css/style.css" rel="stylesheet" type="text/css"><script>
jQuery(document).ready(function(){
	<?php
	if(isset($_SESSION['msg']) && !empty($_SESSION['msg'])){
		?>
	alert('<?php print addslashes($_SESSION['msg']);?>');
	<?php
		$_SESSION['msg']="";
	}
	?>
});
	
</script>
</head>

<body>
	
	<?php include('include/header.php');?>
	
	<div class="container contentPage">
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs bgTitrePage"></div>
		<div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 titreContenuPage">Votre espace Capitaine</div>
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs bgTitrePage"></div>
		<div class="clearfix"></div>
	
		<div class="headerCap" style="text-align: center; margin:18px 0 12px;">
			<span class="ssTitreViolet"><?php echo decrypter($maCleDeCryptage,$data[0]['nom_eta']);?></span><br />
			<b>Capitaine : </b><?php echo $capitaine;?> <a href="modifier-cap.php">modifier</a><br />
			<a href="deco.php">Déconnexion</a>
		</div>
		
		<div class="menuPage">
			<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
				<a href="index-cap.php">Votre trinôme</a>
			</div>
			<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
				<a href="agenda-cap.php">Votre agenda</a>
			</div>
			<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
				<a href="bao-cap.php">Boite à outils</a>
			</div>
			<div class="clearfix"></div>
		</div>
		
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs"></div>
		<div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 titreContenuPage">Boite à outils</div>
		<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs"></div>
		<div class="clearfix"></div>
		
		<div class="textIntro"><br/>Déployez Deciday ! grâce aux ressources mises à votre disposition <br />
                NB : certaines ressources sont accessibles uniquement lorsque au moins un rendez-vous est pris dans votre agenda.<br /><br />

            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 ssTitreViolet ssTitreBaO">Recrutement des collèges et Lycées</div>
            <?php
            // Affichage des liens vers les outils de recrutement
            $tFilesBao = listFilesBao('recrutement');
            foreach($tFilesBao as $k=>$v){
                echo '<a href="boite-outils/'.$v['file'].'" target="_blank">'.$v['title'].'</a><br />';
            }

            ?>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 ssTitreViolet ssTitreBaO">Guide</div>
            <?php
            // Affichage des liens vers le guide
            $tFilesBao = listFilesBao('guide');
            foreach($tFilesBao as $k=>$v){
                echo '<a href="boite-outils/'.$v['file'].'" target="_blank">'.$v['title'].'</a><br />';
            }
            ?>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 ssTitreViolet ssTitreBaO">Les affiches</div>
            <?php
            // Affichage des liens vers les affiches
            $tFilesBao = listFilesBao('affiches');
            foreach($tFilesBao as $k=>$v){
                echo '<a href="boite-outils/'.$v['file'].'" target="_blank">'.$v['title'].'</a><br />';
            }
            ?>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 ssTitreViolet ssTitreBaO">Kit pédagogique pour les collèges et lycées</div>
            <?php
            // Affichage des liens vers les kits pédagoqiques de niveau 1
            $tFilesBao = listFilesBao('kitPedago');
            foreach($tFilesBao as $k=>$v){
                echo '<a href="boite-outils/'.$v['file'].'" target="_blank">'.$v['title'].'</a><br />';
            }
            // Si au moins 1 RDV : Affichage des liens vers les kits pédagoqiques de niveau 2
            if($rdv>0)	{
                $tFilesBao = listFilesBao('kitPedago', 1);
                foreach($tFilesBao as $k=>$v){
                    echo '<a href="'.$v['file'].'" target="_blank">'.$v['title'].'</a><br />';
                }
            }
            ?>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 ssTitreViolet ssTitreBaO">Kit d’animation du trinôme</div>
            <?php
            if($rdv>0)	{
                $tFilesBao = listFilesBao('kitAnim', 1);
                foreach($tFilesBao as $k=>$v){
                    echo '<a href="boite-outils/'.$v['file'].'" target="_blank">'.$v['title'].'</a><br />';
                }
            } else {
                echo '<div class="textIntro" style="margin-top: 25px;"><br/><div class="alert alert-warning" role="alert">';
                echo "Au moins un rendez-vous doit-être pris par l'une de vos équipes pour pouvoir accéder au kit d'animation du trinôme.";
                echo '</div></div>';
            }
            ?>



            </div>
		<div class="clearfix"></div>
		
	</div>
	
	<?php include('include/footer.php');?>

</body>
</html>